Subject: Re: linux-next: manual merge of the tip tree with the pm tree

From: Mario Limonciello <[email-masked]>
Date: Mon, 12 May 2025 15:45:03 -0500

On 5/12/2025 12:23 AM, Stephen Rothwell wrote:
> Hi all,
> 
> On Mon, 12 May 2025 14:55:17 +1000 Stephen Rothwell <[email-masked]> wrote:
>>
>> Today's linux-next merge of the tip tree got a conflict in:
>>
>>    drivers/cpufreq/amd-pstate.c
>>
>> between commit:
>>
>>    608a76b65288 ("cpufreq/amd-pstate: Add support for the "Requested CPU Min frequency" BIOS option")
>>
>> from the pm tree and commit:
>>
>>    d7484babd2c4 ("x86/msr: Rename 'rdmsrl_on_cpu()' to 'rdmsrq_on_cpu()'")
>>
>> from the tip tree.
>>
>> I fixed it up (the former removed a line updated by the latter) and can
>> carry the fix as necessary. This is now fixed as far as linux-next is
>> concerned, but any non trivial conflicts should be mentioned to your
>> upstream maintainer when your tree is submitted for merging.  You may
>> also want to consider cooperating with the maintainer of the conflicting
>> tree to minimise any particularly complex conflicts.
> 
> Actually it needed the fix up below.
> 

Ingo,

Can you guys make an immutable branch for Rafael to merge into linux-pm 
for this change?

I can redo the amd-pstate merge based on that immutable branch.

Rafael,

If you want to just carry the fixup that's fine too.  Just LMK what you 
need.